Friday, August 1, 2008

CivCTP does not work with 2.6.25 kernels

Well, yes, I'm still playing old games like Civilization Call to Power, because I like... And I've recently had troubles getting it to play on a Debian/sid machine with a 2.6.25 kernel. I seemed to remember it was working fine before that, so I insisted, to the point that I switched back to a 2.6.18 kernel... And that worked ! I don't know what did change, but that is a weird bug indeed...

2 comments:

David Weinehall said...

Try to see if "echo 0 > /proc/sys/vm/vdso_enabled" makes any difference.

Vincent Fourmond said...

Thanks for the comment - I've switched to 2.6.26 and it works fine now. If you're still interested in the information, I can try to switch back to 2.6.25 and try that.